Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHousePackageBase

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageBase

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SmartHousePackageBase extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SmartHousePackageBase.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHousePackageBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SmartHousePackageBase.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getDurationUnitCode()`
  `int`
  `getDurationValue()`
  `int`
  `getNpayModuleId()`
  `int`
  `getNpayServiceId()`
  `String`
  `getOptionNames()`
  `Period`
  `getPeriod()`
  `SmartHouseTariffMode`
  `getTariffMode()`
  `SmartHousePackageBase`
  `setComment(String comment)`
  `SmartHousePackageBase`
  `setDurationUnitCode(int durationUnitCode)`
  `SmartHousePackageBase`
  `setDurationValue(int durationValue)`
  `SmartHousePackageBase`
  `setNpayModuleId(int npayModuleId)`
  `SmartHousePackageBase`
  `setNpayServiceId(int npayServiceId)`
  `SmartHousePackageBase`
  `setOptionNames(String optionNames)`
  `SmartHousePackageBase`
  `setPeriod(Period period)`
  `SmartHousePackageBase`
  `setTariffMode(SmartHouseTariffMode tariffMode)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SmartHousePackageBase

    public SmartHousePackageBase()

- ## Method Details

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public SmartHousePackageBase setPeriod(Period period)

  - ### getOptionNames

    public String getOptionNames()

  - ### setOptionNames

    public SmartHousePackageBase setOptionNames(String optionNames)

  - ### getComment

    public String getComment()

  - ### setComment

    public SmartHousePackageBase setComment(String comment)

  - ### getDurationValue

    public int getDurationValue()

  - ### setDurationValue

    public SmartHousePackageBase setDurationValue(int durationValue)

  - ### getDurationUnitCode

    public int getDurationUnitCode()

  - ### setDurationUnitCode

    public SmartHousePackageBase setDurationUnitCode(int durationUnitCode)

  - ### getTariffMode

    public SmartHouseTariffMode getTariffMode()

  - ### getNpayModuleId

    public int getNpayModuleId()

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### setTariffMode

    public SmartHousePackageBase setTariffMode(SmartHouseTariffMode tariffMode)

  - ### setNpayModuleId

    public SmartHousePackageBase setNpayModuleId(int npayModuleId)

  - ### setNpayServiceId

    public SmartHousePackageBase setNpayServiceId(int npayServiceId)

  - ### builder

    public static SmartHousePackageBase.Builder builder()